<?php
// Register Popcorn Customizer Settings
function popcorn_customizer_settings($wp_customize){
    
    $wp_customize->add_setting('popcorn_body_bg_color', array (
        'default' => '#F5F5F5',
        'transport' => 'refresh',
        'sanitize_callback' => 'sanitize_hex_color',
    ));

    $wp_customize->add_setting('popcorn_body_p_color', array (
        'default' => '#020E13',
        'transport' => 'refresh',
        'sanitize_callback' => 'sanitize_hex_color',
    ));

    $wp_customize->add_setting('popcorn_body_h1_color', array (
        'default' => '#020E13',
        'transport' => 'refresh',
        'sanitize_callback' => 'sanitize_hex_color',
    ));

    $wp_customize->add_setting('popcorn_body_h2_color', array (
        'default' => '#020E13',
        'transport' => 'refresh',
        'sanitize_callback' => 'sanitize_hex_color',
    ));

    $wp_customize->add_setting('popcorn_body_h3_color', array (
        'default' => '#020E13',
        'transport' => 'refresh',
        'sanitize_callback' => 'sanitize_hex_color',
    ));

    $wp_customize->add_setting('popcorn_body_h4_color', array (
        'default' => '#020E13',
        'transport' => 'refresh',
        'sanitize_callback' => 'sanitize_hex_color',
    ));

    $wp_customize->add_setting('popcorn_body_h5_color', array (
        'default' => '#020E13',
        'transport' => 'refresh',
        'sanitize_callback' => 'sanitize_hex_color',
    ));

    $wp_customize->add_setting('popcorn_body_h6_color', array (
        'default' => '#020E13',
        'transport' => 'refresh',
        'sanitize_callback' => 'sanitize_hex_color',
    ));

    $wp_customize->add_setting('popcorn_body_a_color', array (
        'default' => '#F25A54',
        'transport' => 'refresh',
        'sanitize_callback' => 'sanitize_hex_color',
    ));

    $wp_customize->add_setting('popcorn_body_ah_color', array (
        'default' => '#020E13',
        'transport' => 'refresh',
        'sanitize_callback' => 'sanitize_hex_color',
    ));

    $wp_customize->add_setting('popcorn_primary_color', array (
        'default' => '#F25A54',
        'transport' => 'refresh',
        'sanitize_callback' => 'sanitize_hex_color',
    ));

    $wp_customize->add_setting('popcorn_secondary_color', array (
        'default' => '#FFF3AD',
        'transport' => 'refresh',
        'sanitize_callback' => 'sanitize_hex_color',
    ));

    $wp_customize->add_setting('popcorn_header_bg_color', array (
        'default' => '#FFFFFF',
        'transport' => 'refresh',
        'sanitize_callback' => 'sanitize_hex_color',
    ));

    $wp_customize->add_setting('popcorn_body_typography_font', array (
        'default' => 'System',
        'transport' => 'refresh',
    ));

    $wp_customize->add_setting('popcorn_heading_typography_font', array (
        'default' => 'System',
        'transport' => 'refresh',
    ));

    $wp_customize->add_setting('popcorn_p_mobile_typography_size', array (
        'default' => '16px',
        'transport' => 'refresh',
        'sanitize_callback' => 'wp_filter_nohtml_kses',
    ));

    $wp_customize->add_setting('popcorn_p_tablet_typography_size', array (
        'default' => '17px',
        'transport' => 'refresh',
        'sanitize_callback' => 'wp_filter_nohtml_kses',
    ));

    $wp_customize->add_setting('popcorn_p_desktop_typography_size', array (
        'default' => '18px',
        'transport' => 'refresh',
        'sanitize_callback' => 'wp_filter_nohtml_kses',
    ));

    $wp_customize->add_setting('popcorn_p_typography_weight', array (
        'default' => '300',
        'transport' => 'refresh',
    ));
    
    $wp_customize->add_setting('popcorn_h1_mobile_typography_size', array (
        'default' => '32px',
        'transport' => 'refresh',
        'sanitize_callback' => 'wp_filter_nohtml_kses',
    ));

    $wp_customize->add_setting('popcorn_h1_tablet_typography_size', array (
        'default' => '40px',
        'transport' => 'refresh',
        'sanitize_callback' => 'wp_filter_nohtml_kses',
    ));

    $wp_customize->add_setting('popcorn_h1_desktop_typography_size', array (
        'default' => '64px',
        'transport' => 'refresh',
        'sanitize_callback' => 'wp_filter_nohtml_kses',
    ));

    $wp_customize->add_setting('popcorn_h1_typography_weight', array (
        'default' => '300',
        'transport' => 'refresh',
    ));

    $wp_customize->add_setting('popcorn_h2_mobile_typography_size', array (
        'default' => '28px',
        'transport' => 'refresh',
        'sanitize_callback' => 'wp_filter_nohtml_kses',
    ));

    $wp_customize->add_setting('popcorn_h2_tablet_typography_size', array (
        'default' => '32px',
        'transport' => 'refresh',
        'sanitize_callback' => 'wp_filter_nohtml_kses',
    ));

    $wp_customize->add_setting('popcorn_h2_desktop_typography_size', array (
        'default' => '40px',
        'transport' => 'refresh',
        'sanitize_callback' => 'wp_filter_nohtml_kses',
    ));

    $wp_customize->add_setting('popcorn_h2_typography_weight', array (
        'default' => '300',
        'transport' => 'refresh',
    ));

    $wp_customize->add_setting('popcorn_h3_mobile_typography_size', array (
        'default' => '24px',
        'transport' => 'refresh',
        'sanitize_callback' => 'wp_filter_nohtml_kses',
    ));

    $wp_customize->add_setting('popcorn_h3_tablet_typography_size', array (
        'default' => '28px',
        'transport' => 'refresh',
        'sanitize_callback' => 'wp_filter_nohtml_kses',
    ));

    $wp_customize->add_setting('popcorn_h3_desktop_typography_size', array (
        'default' => '36px',
        'transport' => 'refresh',
        'sanitize_callback' => 'wp_filter_nohtml_kses',
    ));

    $wp_customize->add_setting('popcorn_h3_typography_weight', array (
        'default' => '300',
        'transport' => 'refresh',
    ));

    $wp_customize->add_setting('popcorn_h4_mobile_typography_size', array (
        'default' => '20px',
        'transport' => 'refresh',
        'sanitize_callback' => 'wp_filter_nohtml_kses',
    ));

    $wp_customize->add_setting('popcorn_h4_tablet_typography_size', array (
        'default' => '24px',
        'transport' => 'refresh',
        'sanitize_callback' => 'wp_filter_nohtml_kses',
    ));

    $wp_customize->add_setting('popcorn_h4_desktop_typography_size', array (
        'default' => '32px',
        'transport' => 'refresh',
        'sanitize_callback' => 'wp_filter_nohtml_kses',
    ));

    $wp_customize->add_setting('popcorn_h4_typography_weight', array (
        'default' => '300',
        'transport' => 'refresh',
    ));

    $wp_customize->add_setting('popcorn_h5_mobile_typography_size', array (
        'default' => '18px',
        'transport' => 'refresh',
        'sanitize_callback' => 'wp_filter_nohtml_kses',
    ));

    $wp_customize->add_setting('popcorn_h5_tablet_typography_size', array (
        'default' => '20px',
        'transport' => 'refresh',
        'sanitize_callback' => 'wp_filter_nohtml_kses',
    ));

    $wp_customize->add_setting('popcorn_h5_desktop_typography_size', array (
        'default' => '28px',
        'transport' => 'refresh',
        'sanitize_callback' => 'wp_filter_nohtml_kses',
    ));

    $wp_customize->add_setting('popcorn_h5_typography_weight', array (
        'default' => '300',
        'transport' => 'refresh',
    ));

    $wp_customize->add_setting('popcorn_h6_mobile_typography_size', array (
        'default' => '16px',
        'transport' => 'refresh',
        'sanitize_callback' => 'wp_filter_nohtml_kses',
    ));

    $wp_customize->add_setting('popcorn_h6_tablet_typography_size', array (
        'default' => '20px',
        'transport' => 'refresh',
        'sanitize_callback' => 'wp_filter_nohtml_kses',
    ));

    $wp_customize->add_setting('popcorn_h6_desktop_typography_size', array (
        'default' => '24px',
        'transport' => 'refresh',
        'sanitize_callback' => 'wp_filter_nohtml_kses',
    ));

    $wp_customize->add_setting('popcorn_h6_typography_weight', array (
        'default' => '300',
        'transport' => 'refresh',
    ));

    $wp_customize->add_setting('popcorn_max_site_width', array (
        'default' => '1200px',
        'transport' => 'refresh',
        'sanitize_callback' => 'wp_filter_nohtml_kses',
    ));

    $wp_customize->add_setting('popcorn_max_content_width', array (
        'default' => '800px',
        'transport' => 'refresh',
        'sanitize_callback' => 'wp_filter_nohtml_kses',
    ));

    $wp_customize->add_setting('popcorn_tablet_breakpoint_width', array (
        'default' => '993px',
        'transport' => 'refresh',
        'sanitize_callback' => 'wp_filter_nohtml_kses',
    ));

    $wp_customize->add_setting('popcorn_mobile_breakpoint_width', array (
        'default' => '500px',
        'transport' => 'refresh',
        'sanitize_callback' => 'wp_filter_nohtml_kses',
    ));

    $wp_customize->add_setting('popcorn_social_facebook_link', array (
        'default' => '#',
        'transport' => 'refresh',
        'sanitize_callback' => 'esc_url_raw',
    ));

    $wp_customize->add_setting('popcorn_social_instagram_link', array (
        'default' => '#',
        'transport' => 'refresh',
        'sanitize_callback' => 'esc_url_raw',
    ));

    $wp_customize->add_setting('popcorn_social_youtube_link', array (
        'default' => '#',
        'transport' => 'refresh',
        'sanitize_callback' => 'esc_url_raw',
    ));

    $wp_customize->add_setting('popcorn_social_linkedin_link', array (
        'default' => '#',
        'transport' => 'refresh',
        'sanitize_callback' => 'esc_url_raw',
    ));

    $wp_customize->add_setting('popcorn_social_mixcloud_link', array (
        'default' => '#',
        'transport' => 'refresh',
        'sanitize_callback' => 'esc_url_raw',
    ));

    $wp_customize->add_setting('popcorn_social_pinterest_link', array (
        'default' => '#',
        'transport' => 'refresh',
        'sanitize_callback' => 'esc_url_raw',
    ));

    $wp_customize->add_setting('popcorn_social_twitch_link', array (
        'default' => '#',
        'transport' => 'refresh',
        'sanitize_callback' => 'esc_url_raw',
    ));

    $wp_customize->add_setting('popcorn_social_twitter_link', array (
        'default' => '#',
        'transport' => 'refresh',
        'sanitize_callback' => 'esc_url_raw',
    ));

    $wp_customize->add_setting('popcorn_social_vimeo_link', array (
        'default' => '#',
        'transport' => 'refresh',
        'sanitize_callback' => 'esc_url_raw',
    ));

    $wp_customize->add_setting('popcorn_copyright_text', array (
        'default' => 'Built with <a href="https://popcorntheme.com" target="_blank" rel="noopener"><strong>Popcorn Theme</strong></a>',
        'transport' => 'refresh',
    ));

    $wp_customize->add_setting('popcorn_intro_title', array (
        'default' => 'Welcome to Popcorn...',
        'transport' => 'refresh',
        'sanitize_callback' => 'wp_filter_nohtml_kses',
    ));

    $wp_customize->add_setting('popcorn_intro_title_color', array (
        'default' => '#020e13',
        'transport' => 'refresh',
        'sanitize_callback' => 'sanitize_hex_color',
    ));

    $wp_customize->add_setting('popcorn_intro_paragraph_color', array (
        'default' => '#020e13',
        'transport' => 'refresh',
        'sanitize_callback' => 'sanitize_hex_color',
    ));

    $wp_customize->add_setting('popcorn_intro_paragraph', array (
        'default' => 'Write some catchy and punchy intro paragraph here decribing what your site is about.',
        'transport' => 'refresh',
        'sanitize_callback' => 'wp_filter_nohtml_kses',
    ));

    $wp_customize->add_setting( 'popcorn_hide_intro_button', array(
        'default' => 0,
        'transport' => 'refresh',
    ));

    $wp_customize->add_setting('popcorn_intro_button_url', array (
        'default' => '#',
        'transport' => 'refresh',
        'sanitize_callback' => 'esc_url_raw',
    ));

    $wp_customize->add_setting('popcorn_intro_button_text', array (
        'default' => 'More about us',
        'transport' => 'refresh',
        'sanitize_callback' => 'wp_filter_nohtml_kses',
    ));

    $wp_customize->add_setting( 'popcorn_hero_bg_img', array(
        'default' => '',
        'transport' => 'refresh',
        'sanitize_callback' => 'esc_url_raw',
    ));

    // Alpha Color Picker setting.
	$wp_customize->add_setting( 'popcorn_hero_bg_color_overlay', array(
		'default'     => 'rgba(255,255,255,0.5)',
		'type'        => 'theme_mod',
		'capability'  => 'edit_theme_options',
		'transport'   => 'refresh'
	));

    $wp_customize->add_setting('popcorn_featured_posts', array (
        'default' => 'Featured Posts',
        'transport' => 'refresh',
        'sanitize_callback' => 'wp_filter_nohtml_kses',
    ));

    $wp_customize->add_setting('popcorn_latest_posts', array (
        'default' => 'Latest Posts',
        'transport' => 'refresh',
        'sanitize_callback' => 'wp_filter_nohtml_kses',
    ));

    $wp_customize->add_setting('popcorn_affiliate_disclaimer_title', array (
        'default' => 'Affiliate Disclaimer',
        'transport' => 'refresh',
        'sanitize_callback' => 'wp_filter_nohtml_kses',
    ));

    $wp_customize->add_setting('popcorn_affiliate_disclaimer', array (
        'default' => 'As an affiliate, we earn from qualifying purchases. We get commissions for purchases made through links in this post.',
        'transport' => 'refresh',
        'sanitize_callback' => 'wp_filter_nohtml_kses',
    ));

    $wp_customize->add_setting('popcorn_post_meta_name_prefix', array (
        'default' => 'By:',
        'transport' => 'refresh',
        'sanitize_callback' => 'wp_filter_nohtml_kses',
    ));

    $wp_customize->add_setting('popcorn_post_meta_time_prefix', array (
        'default' => 'Time to read:',
        'transport' => 'refresh',
        'sanitize_callback' => 'wp_filter_nohtml_kses',
    ));

    $wp_customize->add_setting('popcorn_post_meta_date_prefix', array (
        'default' => 'Date:',
        'transport' => 'refresh',
        'sanitize_callback' => 'wp_filter_nohtml_kses',
    ));

    $wp_customize->add_setting('popcorn_post_nav_title', array (
        'default' => 'Featured Article',
        'transport' => 'refresh',
        'sanitize_callback' => 'wp_filter_nohtml_kses',
    ));

    $wp_customize->add_setting('popcorn_post_nav_link_title', array (
        'default' => 'Check out our recommended gear',
        'transport' => 'refresh',
        'sanitize_callback' => 'wp_filter_nohtml_kses',
    ));

    $wp_customize->add_setting('popcorn_post_nav_link_url', array (
        'default' => '#',
        'transport' => 'refresh',
        'sanitize_callback' => 'esc_url_raw',
    ));

    $wp_customize->add_setting( 'popcorn_post_nav_link_url_tab', array(
      'default' => 0,
      'transport' => 'refresh',
    ));

    $wp_customize->add_setting( 'popcorn_post_nav_link_url_nofollow', array(
        'default' => 0,
        'transport' => 'refresh',
    ));

    $wp_customize->add_setting( 'popcorn_post_nav_img', array(
        'default' => '',
        'transport' => 'refresh',
        'sanitize_callback' => 'esc_url_raw',
    ));

    $wp_customize->add_setting( 'popcorn_hide_site_description', array(
        'default' => 0,
        'transport' => 'refresh',
    ));

    $wp_customize->add_setting( 'popcorn_hide_home_featured_posts', array(
        'default' => 0,
        'transport' => 'refresh',
    ));

    $wp_customize->add_setting( 'popcorn_disable_copyright', array(
        'default' => 0,
        'transport' => 'refresh',
    ));

    $wp_customize->add_setting( 'popcorn_disable_social_links', array(
        'default' => 0,
        'transport' => 'refresh',
    ));

    $wp_customize->add_setting( 'popcorn_disable_privacy_menu', array(
        'default' => 0,
        'transport' => 'refresh',
    ));

    $wp_customize->add_setting( 'popcorn_enable_nav_search', array(
        'default' => 0,
        'transport' => 'refresh',
    ));

    $wp_customize->add_setting( 'popcorn_disable_post_meta', array(
        'default' => 0,
        'transport' => 'refresh',
    ));

    $wp_customize->add_setting( 'popcorn_disable_post_meta_author', array(
        'default' => 0,
        'transport' => 'refresh',
    ));

    $wp_customize->add_setting( 'popcorn_disable_post_meta_date', array(
        'default' => 0,
        'transport' => 'refresh',
    ));

    $wp_customize->add_setting( 'popcorn_disable_post_meta_ttr', array(
        'default' => 0,
        'transport' => 'refresh',
    ));

    $wp_customize->add_setting( 'popcorn_disable_affiliate_disclaimer', array(
        'default' => 0,
        'transport' => 'refresh',
    ));

    $wp_customize->add_setting('popcorn_footer_bg_color', array (
        'default' => '#FFFFFF',
        'transport' => 'refresh',
        'sanitize_callback' => 'sanitize_hex_color',
    ));

    $wp_customize->add_setting('popcorn_about_menu_title', array (
        'default' => 'About Us',
        'transport' => 'refresh',
        'sanitize_callback' => 'wp_filter_nohtml_kses',
    ));

    $wp_customize->add_setting('popcorn_follow_us_title', array (
        'default' => 'Follow Us',
        'transport' => 'refresh',
        'sanitize_callback' => 'wp_filter_nohtml_kses',
    ));

    $wp_customize->add_setting( 'popcorn_disable_about_menu', array(
        'default' => 0,
        'transport' => 'refresh',
    ));

    $wp_customize->add_setting('popcorn_footer_h4_color', array (
        'default' => '#f25a54',
        'transport' => 'refresh',
        'sanitize_callback' => 'sanitize_hex_color',
    ));

    $wp_customize->add_setting('popcorn_sidebar_width', array (
        'default' => '350px',
        'transport' => 'refresh',
        'sanitize_callback' => 'wp_filter_nohtml_kses',
    ));

    $wp_customize->add_setting( 'popcorn_post_disable_featured_image', array(
        'default' => 0,
        'transport' => 'refresh',
    ));

    $wp_customize->add_setting('popcorn_fp_cta_url', array (
        'default' => '#',
        'transport' => 'refresh',
        'sanitize_callback' => 'esc_url_raw',
    ));

    $wp_customize->add_setting('popcorn_fp_cta_text', array (
        'default' => 'Read more on our blog',
        'transport' => 'refresh',
        'sanitize_callback' => 'wp_filter_nohtml_kses',
    ));

    $wp_customize->add_setting('fp_hero_title', array());

    $wp_customize->add_setting('fp_fp_title', array());

    $wp_customize->add_setting('fp_lp_title', array());

    $wp_customize->add_setting('fp_cta_title', array());

    $wp_customize->add_setting('typ_fonts_title', array());

    $wp_customize->add_setting('typ_p_title', array());

    $wp_customize->add_setting('typ_h1_title', array());

    $wp_customize->add_setting('typ_h2_title', array());

    $wp_customize->add_setting('typ_h3_title', array());

    $wp_customize->add_setting('typ_h4_title', array());

    $wp_customize->add_setting('typ_h5_title', array());

    $wp_customize->add_setting('typ_h6_title', array());

    $wp_customize->add_setting('post_meta_title', array());

    $wp_customize->add_setting('post_navigation_title', array());

    $wp_customize->add_setting('post_general_title', array());

    $wp_customize->add_setting('popcorn_h1_intro_typography_weight', array (
        'default' => '300',
        'transport' => 'refresh',
    ));

    $wp_customize->add_setting( 'popcorn_post_disable_navigation', array(
        'default' => 0,
        'transport' => 'refresh',
    ));
    
}
add_action( 'customize_register', 'popcorn_customizer_settings' );