<?php get_header(); ?>
    <div class="popcorn-main">
        <div class="popcorn-site-width">
            <div class="popcorn-archive-container">
                <?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
                    <div class="popcorn-post-card popcorn-radius popcorn-shadow">
                        <a href="<?php the_permalink(); ?>" title="<?php echo esc_attr( the_title_attribute( 'echo=0' ) ); ?>" class="black">
                            <?php echo get_the_post_thumbnail(); ?>
                            <h2><?php the_title(); ?></h2>
                            <p><?php the_excerpt(); ?></p>
                            <a href="<?php the_permalink(); ?>" title="<?php echo esc_attr( the_title_attribute( 'echo=0' ) ); ?>">Read More</a>
                        </a>
                    </div>
                <?php endwhile; ?>
            </div>
            <?php the_posts_pagination( array(
                'mid_size'  => 2,
                'prev_text' => 'Previous',
                'next_text' => 'Next',
                'class' => 'popcorn-pagination',
                )); ?>
            <?php else: ?>
                <p>Sorry, no articles are categorized as <?php single_cat_title(); ?></p>
            <?php endif; ?>
        </div>
    </div>
<?php get_footer(); ?>