<?php
/**
* Template Name: Page without Latest Posts
*/
get_header(); ?>
<?php the_post(); ?>
    <div class="popcorn-main">
        <div class="popcorn-site-width">
            <article class="popcorn-post-single popcorn-radius popcorn-shadow">
                <div class="popcorn-post-header popcorn-content-width">
                    <h1 class="popcorn-post-title"><?php echo esc_html( get_the_title() ); ?></h1>
                    <?php if (has_post_thumbnail( $post->ID ) ): ?>
                    <?php $image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'single-post-thumbnail' ); ?>
                    <div class="popcorn-featured-image-container">
                        <img class="popcorn-featured-image popcorn-shadow"src="<?php echo $image[0]; ?>">
                    </div>
                    <?php endif; ?>
                    <?php if (has_post_thumbnail( $post->ID ) ): ?>
                    <?php $image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'single-post-thumbnail' ); ?>
                    <div id="custom-bg" style="background-image: url('<?php echo $image[0]; ?>')">
                    </div>
                    <?php endif; ?>
                </div>
                <div class="popcorn-post-content popcorn-content-width">
                    <?php echo the_content('post_content', $post->ID); ?>
                </div>
            </article>
            
        </div>
    </div>
<?php get_footer(); ?>