<?php get_header(); ?>
    <div class="popcorn-main">
        <div class="popcorn-site-width">
            <div class="popcorn-archive-header popcorn-radius popcorn-shadow">
                <div class="popcorn-content-width">
                    <h1 class="popcorn-archive-title"><?php printf( __( 'Search Results for: %s', 'shape' ), '<span>' . get_search_query() . '</span>' ); ?></h1>
                </div>
            </div>
            <div class="popcorn-archive-container">
                <?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
                <div class="popcorn-post-card popcorn-radius popcorn-shadow">
                    <a href="<?php the_permalink(); ?>" title="<?php echo esc_attr( the_title_attribute( 'echo=0' ) ); ?>" class="black">
                        <?php echo get_the_post_thumbnail(); ?>
                        <h2><?php the_title(); ?></h2>
                        <p><?php the_excerpt(); ?></p>
                    </a>
                </div>
                <?php endwhile; else: ?>
                <p>Sorry, No articles match your query</p>
                <?php endif; ?>
            </div>
        </div>
    </div>
<?php get_footer(); ?>