<?php $popcornhideherobutton = get_theme_mod ( 'popcorn_post_disable_navigation', '0' );
                        if ($popcornhideherobutton != '1') { ?>    
    <?php
        $prev = get_previous_post();
        $next = get_next_post();
    ?>
    <div class="popcorn-post-prev-next-container">
        <!-- Previous Post -->
        <?php $prev_ = get_previous_post();
        if ( ! empty( $prev ) ): ?>
        <a class="popcorn-post-prev popcorn-radius popcorn-shadow" href="<?php echo get_permalink( $prev->ID ); ?>">
            <div class="popcorn-post-prev-img">    
            <?php echo get_the_post_thumbnail($prev->ID, 'thumbnail'); ?>
            </div>
            <div class="popcorn-post-prev-info">
                <p>Previous Post</p>
                <h2 class="popcorn-post-prev-next-title"><?php echo apply_filters( 'the_title', $prev->post_title ); ?></h2>
            </div>
        </a>
        <?php else: ?> 
        <a class="popcorn-post-prev popcorn-radius popcorn-shadow" href="<?php echo esc_html ( get_theme_mod( 'popcorn_post_nav_link_url', '/' ) ); ?>" 
            <?php $popcornpostnavnewtab = get_theme_mod( 'popcorn_post_nav_link_url_tab', '1' );
            if ($popcornpostnavnewtab != '0' ) { ?> target="_blank"<?php } ?>
            <?php $popcornpostnavnofollow = get_theme_mod( 'popcorn_post_nav_link_url_nofollow', '1' );
            if ($popcornpostnavnofollow != '0' ) { ?> rel="nofollow"<?php } ?>>
            <div class="popcorn-post-prev-img">
                <img src="<?php echo esc_html ( get_theme_mod( 'popcorn_post_nav_img' ) ); ?>" class="popcorn-nav-thumbnail" alt="" loading="lazy" width="150" height="150">
            </div>
            <div class="popcorn-post-prev-info">
            <?php $popcornpostnavtitle = get_theme_mod( 'popcorn_post_nav_title', 'Featured Article');
            if ($popcornpostnavtitle != '') { ?>
                <p><?php echo $popcornpostnavtitle; ?></p>
            <?php } ?>
            <?php $popcornpostnavlinktitle = get_theme_mod( 'popcorn_post_nav_link_title', 'Edit in Customizer > Popcorn Options > Post Settings');
            if ($popcornpostnavlinktitle != '') { ?>
                <h2 class="popcorn-post-prev-next-title"><?php echo $popcornpostnavlinktitle; ?></h2>
            <?php } ?>
            </div>
        </a>
        <?php endif; ?>
        <!-- Next Post -->
        <?php $next_ = get_next_post();
        if ( ! empty( $next ) ): ?>
        <a class="popcorn-post-next popcorn-radius popcorn-shadow" href="<?php echo get_permalink( $next->ID ); ?>">
            <div class="popcorn-post-next-info">
                <p>Next Post</p>
                <h2 class="popcorn-post-prev-next-title"><?php echo apply_filters( 'the_title', $next->post_title ); ?></h2>
            </div>
            <div class="popcorn-post-next-img">    
                <?php echo get_the_post_thumbnail($next->ID, 'thumbnail'); ?>
            </div>
        </a>
        <?php else: ?> 
        <a class="popcorn-post-next popcorn-radius popcorn-shadow" href="<?php echo esc_html ( get_theme_mod( 'popcorn_post_nav_link_url', '/' ) ); ?>" 
            <?php $popcornpostnavnewtab = get_theme_mod( 'popcorn_post_nav_link_url_tab', '1' );
            if ($popcornpostnavnewtab != '0' ) { ?> target="_blank"<?php } ?>
            <?php $popcornpostnavnofollow = get_theme_mod( 'popcorn_post_nav_link_url_nofollow', '1' );
            if ($popcornpostnavnofollow != '0' ) { ?> rel="nofollow"<?php } ?>>
            <div class="popcorn-post-next-info">
            <?php $popcornpostnavtitle = get_theme_mod( 'popcorn_post_nav_title', 'Featured Article');
            if ($popcornpostnavtitle != '') { ?>
                <p><?php echo $popcornpostnavtitle; ?></p>
            <?php } ?>
            <?php $popcornpostnavlinktitle = get_theme_mod( 'popcorn_post_nav_link_title', 'Edit in Customizer > Popcorn Options > Post Settings');
            if ($popcornpostnavlinktitle != '') { ?>
                <h2 class="popcorn-post-prev-next-title"><?php echo $popcornpostnavlinktitle; ?></h2>
            <?php } ?>
            </div>
            <div class="popcorn-post-next-img">
                <img src="<?php echo esc_html ( get_theme_mod( 'popcorn_post_nav_img' ) ); ?>" class="popcorn-nav-thumbnail" alt="" loading="lazy" width="150" height="150">
            </div>
        </a>
        <?php endif; ?>
    </div>
<?php } ?>