<?php get_header(); ?>
    <div class="popcorn-main">
        <div class="popcorn-site-width">
            <div class="popcorn-front-page-title-intro-background popcorn-radius popcorn-shadow">
                <div class="popcorn-front-page-title-intro popcorn-radius">
                    <h1 class="popcorn-content-width popcorn-hero-title"><?php echo esc_html ( get_theme_mod( 'popcorn_intro_title', 'Welcome to Popcorn Theme' ) ); ?></h1>
                    <p class="popcorn-content-width popcorn-hero-p-text"><?php echo esc_html ( get_theme_mod( 'popcorn_intro_paragraph', 'Write some catchy and punchy intro paragraph here decribing what your site is about. You can edit this text in the Popcorn customizer. Simply log into WordPress admin, then go to Appearance > Customize.' ) ); ?></p>
                    <?php $popcornhideherobutton = get_theme_mod ( 'popcorn_hide_intro_button', '0' );
                        if ($popcornhideherobutton != '1') { ?>
                            <p class="popcorn-content-width"><a class="popcorn-button-primary popcorn-radius popcorn-shadow" href="<?php echo esc_html ( get_theme_mod( 'popcorn_intro_button_url', '#' ) ); ?>"><?php echo esc_html ( get_theme_mod( 'popcorn_intro_button_text', 'More about us' ) ); ?></a></p>
                    <?php } ?>
                </div>
            </div> 
            <?php get_template_part( 'template-parts/fpfeaturedposts'); ?>
            <?php $popcornfplptitle = get_theme_mod( 'popcorn_latest_posts', 'Latest Posts');
            if ($popcornfplptitle != '') { ?>
            <h2 class="popcorn-front-page-posts-title"><?php echo $popcornfplptitle; ?></h2>
            <?php } ?>
            <div class="popcorn-front-page-fp-container-latest">
                <?php $args = array(
                    'ignore_sticky_posts' => 1,
                    'posts_per_page' => 6,
                    'post__not_in' => get_option( 'sticky_posts' ),
                );
                $notfeatured = new WP_Query($args);
                if ($notfeatured->have_posts()): while($notfeatured->have_posts()): $notfeatured->the_post(); ?>
                <div class="popcorn-front-page-fp-card popcorn-radius popcorn-shadow">
                    <a href="<?php the_permalink(); ?>" title="<?php the_title(); ?> Thumbnail"><?php the_post_thumbnail(); ?></a>
                    <h3><a href="<?php the_permalink(); ?>"> <?php the_title(); ?></a></h3>
                    <p><?php the_excerpt();?></p>
                </div>
                <?php endwhile; else: endif; ?>
            </div>
                <div class="popsc">
                    <a class="popcorn-button-primary popcorn-radius popcorn-shadow popsc__btn" href="<?php echo esc_html ( get_theme_mod( 'popcorn_fp_cta_url', '#' ) ); ?>"><?php echo esc_html ( get_theme_mod( 'popcorn_fp_cta_text', 'Read more on our blog' ) ); ?></a>
                </div>
        </div>
    </div>
<?php get_footer(); ?> 