<?php
/* Template Name: Post with Sidebar (no featured image)
* Template Post Type: post
* Single post with sidebar 
*/
get_header(); ?>
    <?php while ( have_posts() ) : the_post(); ?>
        <div class="popcorn-main">
            <div class="popcorn-site-width popcorn-sidebar-grid">
                <article class="popcorn-post-single popcorn-radius popcorn-shadow">
                    <div class="popcorn-post-header popcorn-content-width">
                        <?php get_template_part( 'template-parts/singleheader'); ?> 
                    </div>
                    <div class="popcorn-post-content popcorn-content-width">
                        <?php echo the_content(); ?>
                    </div>
                </article>
                <div class="popcorn-sidebar-container popcorn-radius popcorn-shadow">
                    <?php get_sidebar(); ?>
                </div>
            </div>
            <div class="popcorn-site-width">
                <?php get_template_part( 'template-parts/singlepostnav'); ?>
                <?php get_template_part( 'template-parts/singlerelatedposts'); ?>
            </div>
        </div>
    <?php endwhile; ?>
<?php get_footer(); ?>