<?php
/**
 * Default Template for displaying single posts.
 */
get_header(); ?>
    <?php while ( have_posts() ) : the_post(); ?>
        <div class="popcorn-main">
            <div class="popcorn-site-width">
                <article class="popcorn-post-single popcorn-radius popcorn-shadow">
                    <div class="popcorn-post-header popcorn-content-width">
                        <?php get_template_part( 'template-parts/singleheader'); ?>
                        <?php get_template_part( 'template-parts/singlefeaturedimage'); ?>
                    </div>
                    <div class="popcorn-post-content popcorn-content-width">
                        <?php echo the_content(); ?>
                    </div>
                </article>
                    <?php get_template_part( 'template-parts/singlepostnav'); ?>
                    <?php get_template_part( 'template-parts/singlerelatedposts'); ?>
            </div>
        </div> 
    <?php endwhile; ?>
<?php get_footer(); ?>