<?php $popfeaturedpostssection = get_theme_mod( 'popcorn_hide_home_featured_posts', '0');
    if ($popfeaturedpostssection != '1') { ?>
        <h2 class="popcorn-front-page-posts-title"><?php echo esc_html ( get_theme_mod( 'popcorn_featured_posts', 'Featured Posts' ) ); ?></h2>
        <div class="popcorn-front-page-fp-container">
            <?php
            $sticky = get_option( 'sticky_posts' );
            rsort( $sticky );
            $sticky = array_slice( $sticky, 0, 2 );
            $args = array(
                'post_type' => array( 'post' ),
                'post__in' => $sticky,
                'ignore_sticky_posts' => 2,
            );
    query_posts($args); ?>
    <?php 
        $featured = new WP_Query($args);
        if ($featured->have_posts()): while($featured->have_posts()): $featured->the_post(); ?>
            <div class="popcorn-front-page-fp-card popcorn-radius popcorn-shadow">
                <a href="<?php the_permalink(); ?>" title="<?php the_title(); ?> Thumbnail"><?php the_post_thumbnail(); ?></a>
                <h3><a href="<?php the_permalink(); ?>"> <?php the_title(); ?></a></h3>
                <p><?php the_excerpt();?></p>
            </div>
    <?php
        endwhile; else:
        endif;
        wp_reset_query();
    ?>
        </div>
<?php } ?>