<h2 class="popcorn-related-posts-title">Related Posts</h2>
<div class="popcorn-related-posts">
    <?php
    $args = array(
        'posts_per_page' => 3, 
        'post__not_in'   => array( get_the_ID() ),
        'no_found_rows'  => true, 
    );
    $cats = wp_get_post_terms( get_the_ID(), 'category' ); 
    $cats_ids = array();  
    foreach( $cats as $wpex_related_cat ) {
    $cats_ids[] = $wpex_related_cat->term_id; 
    }
    if ( ! empty( $cats_ids ) ) {
    $args['category__in'] = $cats_ids;
    }         
    $popcornrp_query = new wp_query( $args );
    foreach( $popcornrp_query->posts as $post ) : setup_postdata( $post ); ?>
    <a class="popcorn-post-card popcorn-radius popcorn-shadow" href="<?php the_permalink(); ?>" title="<?php echo esc_attr( the_title_attribute( 'echo=0' ) ); ?>">
        <?php echo get_the_post_thumbnail($popcornrp_query->ID, 'medium-large'); ?>
        <h2><?php the_title(); ?></h2>
        <p><?php the_excerpt(); ?></p>
    </a>
    <?php endforeach; ?>
</div>
<?php wp_reset_postdata(); ?>